

# Amazon S3 Files
<a name="API_Operations_Amazon_S3_Files"></a>

The following actions are supported by Amazon S3 Files:
+  [CreateAccessPoint](API_S3Files_CreateAccessPoint.md) 
+  [CreateFileSystem](API_S3Files_CreateFileSystem.md) 
+  [CreateMountTarget](API_S3Files_CreateMountTarget.md) 
+  [DeleteAccessPoint](API_S3Files_DeleteAccessPoint.md) 
+  [DeleteFileSystem](API_S3Files_DeleteFileSystem.md) 
+  [DeleteFileSystemPolicy](API_S3Files_DeleteFileSystemPolicy.md) 
+  [DeleteMountTarget](API_S3Files_DeleteMountTarget.md) 
+  [GetAccessPoint](API_S3Files_GetAccessPoint.md) 
+  [GetFileSystem](API_S3Files_GetFileSystem.md) 
+  [GetFileSystemPolicy](API_S3Files_GetFileSystemPolicy.md) 
+  [GetMountTarget](API_S3Files_GetMountTarget.md) 
+  [GetSynchronizationConfiguration](API_S3Files_GetSynchronizationConfiguration.md) 
+  [ListAccessPoints](API_S3Files_ListAccessPoints.md) 
+  [ListFileSystems](API_S3Files_ListFileSystems.md) 
+  [ListMountTargets](API_S3Files_ListMountTargets.md) 
+  [ListTagsForResource](API_S3Files_ListTagsForResource.md) 
+  [PutFileSystemPolicy](API_S3Files_PutFileSystemPolicy.md) 
+  [PutSynchronizationConfiguration](API_S3Files_PutSynchronizationConfiguration.md) 
+  [TagResource](API_S3Files_TagResource.md) 
+  [UntagResource](API_S3Files_UntagResource.md) 
+  [UpdateMountTarget](API_S3Files_UpdateMountTarget.md) 

# CreateAccessPoint
<a name="API_S3Files_CreateAccessPoint"></a>

Creates an S3 File System Access Point for application-specific access with POSIX user identity and root directory enforcement. Access points provide a way to manage access to shared datasets in multi-tenant scenarios.

## Request Syntax
<a name="API_S3Files_CreateAccessPoint_RequestSyntax"></a>

```
PUT /access-points HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "fileSystemId": "string",
   "posixUser": { 
      "gid": number,
      "secondaryGids": [ number ],
      "uid": number
   },
   "rootDirectory": { 
      "creationPermissions": { 
         "ownerGid": number,
         "ownerUid": number,
         "permissions": "string"
      },
      "path": "string"
   },
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_S3Files_CreateAccessPoint_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_S3Files_CreateAccessPoint_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_S3Files_CreateAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-request-clientToken"></a>
A unique, case-sensitive identifier to ensure that the operation completes no more than one time. If this token matches a previous request, AWS ignores the request, but does not return an error.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `(.+)`   
Required: No

 ** [fileSystemId](#API_S3Files_CreateAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-request-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

 ** [posixUser](#API_S3Files_CreateAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-request-posixUser"></a>
The POSIX identity with uid, gid, and secondary group IDs for user enforcement when accessing the file system through this access point.  
Type: [PosixUser](API_S3Files_PosixUser.md) object  
Required: No

 ** [rootDirectory](#API_S3Files_CreateAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-request-rootDirectory"></a>
The root directory path for the access point, with optional creation permissions for newly created directories.  
Type: [RootDirectory](API_S3Files_RootDirectory.md) object  
Required: No

 ** [tags](#API_S3Files_CreateAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-request-tags"></a>
An array of key-value pairs to apply to the access point for resource tagging.  
Type: Array of [Tag](API_S3Files_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_S3Files_CreateAccessPoint_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "accessPointArn": "string",
   "accessPointId": "string",
   "clientToken": "string",
   "fileSystemId": "string",
   "name": "string",
   "ownerId": "string",
   "posixUser": { 
      "gid": number,
      "secondaryGids": [ number ],
      "uid": number
   },
   "rootDirectory": { 
      "creationPermissions": { 
         "ownerGid": number,
         "ownerUid": number,
         "permissions": "string"
      },
      "path": "string"
   },
   "status": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_S3Files_CreateAccessPoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [accessPointArn](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-accessPointArn"></a>
The Amazon Resource Name (ARN) of the access point.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}` 

 ** [accessPointId](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-accessPointId"></a>
The ID of the access point.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}|fsap-[0-9a-f]{17,40})` 

 ** [clientToken](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-clientToken"></a>
The client token that was provided in the request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `(.+)` 

 ** [fileSystemId](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-fileSystemId"></a>
The ID of the S3 File System.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [name](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-name"></a>
The name of the access point.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `([\p{L}\p{Z}\p{N}_.:/=+\-@]*)` 

 ** [ownerId](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-ownerId"></a>
The AWS account ID of the access point owner.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 12.  
Pattern: `(\d{12})|(\d{4}-{4}-\d{4})` 

 ** [posixUser](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-posixUser"></a>
The POSIX identity configured for this access point.  
Type: [PosixUser](API_S3Files_PosixUser.md) object

 ** [rootDirectory](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-rootDirectory"></a>
The root directory configuration for this access point.  
Type: [RootDirectory](API_S3Files_RootDirectory.md) object

 ** [status](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-status"></a>
The current status of the access point.  
Type: String  
Valid Values: `available | creating | deleting | deleted | error | updating` 

 ** [tags](#API_S3Files_CreateAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateAccessPoint-response-tags"></a>
The tags associated with the access point.  
Type: Array of [Tag](API_S3Files_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.

## Errors
<a name="API_S3Files_CreateAccessPoint_Errors"></a>

 ** ConflictException **   
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.    
 ** errorCode **   
The error code associated with the exception.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of the resource that caused the conflict.
HTTP Status Code: 409

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would exceed a service quota. Review your service quotas and either delete resources or request a quota increase.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 402

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_CreateAccessPoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/CreateAccessPoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/CreateAccessPoint) 

# CreateFileSystem
<a name="API_S3Files_CreateFileSystem"></a>

Creates an S3 File System resource scoped to a bucket or prefix within a bucket, enabling file system access to S3 data. To create a file system, you need an S3 bucket and an IAM role that grants the service permission to access the bucket.

## Request Syntax
<a name="API_S3Files_CreateFileSystem_RequestSyntax"></a>

```
PUT /file-systems HTTP/1.1
Content-type: application/json

{
   "acceptBucketWarning": boolean,
   "bucket": "string",
   "clientToken": "string",
   "kmsKeyId": "string",
   "prefix": "string",
   "roleArn": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_S3Files_CreateFileSystem_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_S3Files_CreateFileSystem_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [acceptBucketWarning](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-acceptBucketWarning"></a>
Set to true to acknowledge and accept any warnings about the bucket configuration. If not specified, the operation may fail if there are bucket configuration warnings.  
Type: Boolean  
Required: No

 ** [bucket](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-bucket"></a>
The Amazon Resource Name (ARN) of the S3 bucket that will be accessible through the file system. The bucket must exist and be in the same AWS Region as the file system.  
Type: String  
Pattern: `(arn:aws[a-zA-Z0-9-]*:s3:::.+)`   
Required: Yes

 ** [clientToken](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure idempotent creation. Up to 64 ASCII characters are allowed. If you don't specify a client token, the AWS SDK automatically generates one.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `(.+)`   
Required: No

 ** [kmsKeyId](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-kmsKeyId"></a>
The ARN, key ID, or alias of the AWS KMS key to use for encryption. If not specified, the service uses a service-owned key for encryption. You can specify a KMS key using the following formats: key ID, ARN, key alias, or key alias ARN. If you use `KmsKeyId`, the file system will be encrypted.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}|mrk-[0-9a-f]{32}|alias/[a-zA-Z0-9/_-]+|(arn:aws[-a-z]*:kms:[a-z0-9-]+:\d{12}:((key/[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})|(key/mrk-[0-9a-f]{32})|(alias/[a-zA-Z0-9/_-]+))))`   
Required: No

 ** [prefix](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-prefix"></a>
An optional prefix within the S3 bucket to scope the file system access. If specified, the file system provides access only to objects with keys that begin with this prefix. If not specified, the file system provides access to the entire bucket.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `(|.*/)`   
Required: No

 ** [roleArn](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-roleArn"></a>
The ARN of the IAM role that grants the S3 Files service permission to read and write data between the file system and the S3 bucket. This role must have the necessary permissions to access the specified bucket and prefix.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `arn:(aws[a-zA-Z-]*)?:iam::\d{12}:role/?[a-zA-Z_0-9+=,.@\-_/]+`   
Required: Yes

 ** [tags](#API_S3Files_CreateFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-request-tags"></a>
An array of key-value pairs to apply as tags to the file system resource. Each tag is a user-defined key-value pair. You can use tags to categorize and manage your file systems. Each key must be unique for the resource.  
Type: Array of [Tag](API_S3Files_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_S3Files_CreateFileSystem_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "bucket": "string",
   "clientToken": "string",
   "creationTime": number,
   "fileSystemArn": "string",
   "fileSystemId": "string",
   "kmsKeyId": "string",
   "name": "string",
   "ownerId": "string",
   "prefix": "string",
   "roleArn": "string",
   "status": "string",
   "statusMessage": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_S3Files_CreateFileSystem_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [bucket](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-bucket"></a>
The Amazon Resource Name (ARN) of the S3 bucket associated with the file system.  
Type: String  
Pattern: `(arn:aws[a-zA-Z0-9-]*:s3:::.+)` 

 ** [clientToken](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-clientToken"></a>
The client token used for idempotency.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `(.+)` 

 ** [creationTime](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-creationTime"></a>
The time when the file system was created, in seconds since 1970-01-01T00:00:00Z (Unix epoch time).  
Type: Timestamp

 ** [fileSystemArn](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-fileSystemArn"></a>
The ARN for the S3 file system, in the format `arn:aws:s3files:region:account-id:file-system/file-system-id`.  
Type: String  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40})` 

 ** [fileSystemId](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-fileSystemId"></a>
The ID of the file system, assigned by S3 Files. This ID is used to reference the file system in subsequent API calls.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [kmsKeyId](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-kmsKeyId"></a>
The ARN or alias of the AWS KMS key used for encryption.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}|mrk-[0-9a-f]{32}|alias/[a-zA-Z0-9/_-]+|(arn:aws[-a-z]*:kms:[a-z0-9-]+:\d{12}:((key/[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})|(key/mrk-[0-9a-f]{32})|(alias/[a-zA-Z0-9/_-]+))))` 

 ** [name](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-name"></a>
The name of the file system, derived from the `Name` tag if present.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `([\p{L}\p{Z}\p{N}_.:/=+\-@]*)` 

 ** [ownerId](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-ownerId"></a>
The AWS account ID of the file system owner.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 12.  
Pattern: `(\d{12})|(\d{4}-{4}-\d{4})` 

 ** [prefix](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-prefix"></a>
The prefix within the S3 bucket that scopes the file system access.  
Type: String

 ** [roleArn](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-roleArn"></a>
The ARN of the IAM role used for S3 access.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `arn:(aws[a-zA-Z-]*)?:iam::\d{12}:role/?[a-zA-Z_0-9+=,.@\-_/]+` 

 ** [status](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-status"></a>
The lifecycle state of the file system. Valid values are: `AVAILABLE` (the file system is available for use), `CREATING` (the file system is being created), `DELETING` (the file system is being deleted), `DELETED` (the file system has been deleted), `ERROR` (the file system is in an error state), or `UPDATING` (the file system is being updated).  
Type: String  
Valid Values: `available | creating | deleting | deleted | error | updating` 

 ** [statusMessage](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-statusMessage"></a>
Additional information about the file system status. This field provides more details when the status is `ERROR`, or during state transitions.  
Type: String

 ** [tags](#API_S3Files_CreateFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateFileSystem-response-tags"></a>
The tags associated with the file system.  
Type: Array of [Tag](API_S3Files_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.

## Errors
<a name="API_S3Files_CreateFileSystem_Errors"></a>

 ** ConflictException **   
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.    
 ** errorCode **   
The error code associated with the exception.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of the resource that caused the conflict.
HTTP Status Code: 409

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would exceed a service quota. Review your service quotas and either delete resources or request a quota increase.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 402

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_CreateFileSystem_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/CreateFileSystem) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/CreateFileSystem) 

# CreateMountTarget
<a name="API_S3Files_CreateMountTarget"></a>

Creates a mount target resource as an endpoint for mounting the S3 File System from compute resources in a specific Availability Zone and VPC. Mount targets provide network access to the file system.

## Request Syntax
<a name="API_S3Files_CreateMountTarget_RequestSyntax"></a>

```
PUT /mount-targets HTTP/1.1
Content-type: application/json

{
   "fileSystemId": "string",
   "ipAddressType": "string",
   "ipv4Address": "string",
   "ipv6Address": "string",
   "securityGroups": [ "string" ],
   "subnetId": "string"
}
```

## URI Request Parameters
<a name="API_S3Files_CreateMountTarget_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_S3Files_CreateMountTarget_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [fileSystemId](#API_S3Files_CreateMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-request-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System to create the mount target for.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

 ** [ipAddressType](#API_S3Files_CreateMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-request-ipAddressType"></a>
The IP address type for the mount target. If not specified, `IPV4_ONLY` is used. The IP address type must match the IP configuration of the specified subnet.  
Type: String  
Valid Values: `IPV4_ONLY | IPV6_ONLY | DUAL_STACK`   
Required: No

 ** [ipv4Address](#API_S3Files_CreateMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-request-ipv4Address"></a>
A specific IPv4 address to assign to the mount target. If not specified and the IP address type supports IPv4, an address is automatically assigned from the subnet's available IPv4 address range. The address must be within the subnet's CIDR block and not already in use.  
Type: String  
Length Constraints: Minimum length of 7. Maximum length of 15.  
Pattern: `[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}`   
Required: No

 ** [ipv6Address](#API_S3Files_CreateMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-request-ipv6Address"></a>
A specific IPv6 address to assign to the mount target. If not specified and the IP address type supports IPv6, an address is automatically assigned from the subnet's available IPv6 address range. The address must be within the subnet's IPv6 CIDR block and not already in use.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 39.  
Required: No

 ** [securityGroups](#API_S3Files_CreateMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-request-securityGroups"></a>
An array of VPC security group IDs to associate with the mount target's network interface. These security groups control network access to the mount target. If not specified, the default security group for the subnet's VPC is used. All security groups must belong to the same VPC as the subnet.  
Type: Array of strings  
Array Members: Minimum number of 0 items. Maximum number of 100 items.  
Length Constraints: Minimum length of 11. Maximum length of 43.  
Pattern: `(sg-[0-9a-f]{8,40})`   
Required: No

 ** [subnetId](#API_S3Files_CreateMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-request-subnetId"></a>
The ID of the subnet where the mount target will be created. The subnet must be in the same AWS Region as the file system. For file systems with regional availability, you can create mount targets in any subnet within the Region. The subnet determines the Availability Zone where the mount target will be located.  
Type: String  
Length Constraints: Minimum length of 15. Maximum length of 47.  
Pattern: `subnet-[0-9a-f]{8,40}`   
Required: Yes

## Response Syntax
<a name="API_S3Files_CreateMountTarget_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "availabilityZoneId": "string",
   "fileSystemId": "string",
   "ipv4Address": "string",
   "ipv6Address": "string",
   "mountTargetId": "string",
   "networkInterfaceId": "string",
   "ownerId": "string",
   "securityGroups": [ "string" ],
   "status": "string",
   "statusMessage": "string",
   "subnetId": "string",
   "vpcId": "string"
}
```

## Response Elements
<a name="API_S3Files_CreateMountTarget_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [availabilityZoneId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-availabilityZoneId"></a>
The unique and consistent identifier of the Availability Zone where the mount target is located. For example, `use1-az1` is an Availability Zone ID for the `us-east-1` AWS Region, and it has the same location in every AWS account.  
Type: String

 ** [fileSystemId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-fileSystemId"></a>
The ID of the S3 File System associated with the mount target.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [ipv4Address](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-ipv4Address"></a>
The IPv4 address assigned to the mount target.  
Type: String  
Length Constraints: Minimum length of 7. Maximum length of 15.  
Pattern: `[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}` 

 ** [ipv6Address](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-ipv6Address"></a>
The IPv6 address assigned to the mount target.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 39.

 ** [mountTargetId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-mountTargetId"></a>
The ID of the mount target, assigned by S3 Files. This ID is used to reference the mount target in subsequent API calls.  
Type: String  
Length Constraints: Minimum length of 22. Maximum length of 45.  
Pattern: `fsmt-[0-9a-f]{17,40}` 

 ** [networkInterfaceId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-networkInterfaceId"></a>
The ID of the network interface that S3 Files created when it created the mount target. This network interface is managed by the service.  
Type: String

 ** [ownerId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-ownerId"></a>
The AWS account ID of the mount target owner.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 12.  
Pattern: `(\d{12})|(\d{4}-{4}-\d{4})` 

 ** [securityGroups](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-securityGroups"></a>
The security groups associated with the mount target's network interface.  
Type: Array of strings  
Array Members: Minimum number of 0 items. Maximum number of 100 items.  
Length Constraints: Minimum length of 11. Maximum length of 43.  
Pattern: `(sg-[0-9a-f]{8,40})` 

 ** [status](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-status"></a>
The lifecycle state of the mount target. Valid values are: `AVAILABLE` (the mount target is available for use), `CREATING` (the mount target is being created), `DELETING` (the mount target is being deleted), `DELETED` (the mount target has been deleted), or `ERROR` (the mount target is in an error state), or `UPDATING` (the mount target is being updated).  
Type: String  
Valid Values: `available | creating | deleting | deleted | error | updating` 

 ** [statusMessage](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-statusMessage"></a>
Additional information about the mount target status. This field provides more details when the status is `ERROR`, or during state transitions.  
Type: String

 ** [subnetId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-subnetId"></a>
The ID of the subnet where the mount target is located.  
Type: String  
Length Constraints: Minimum length of 15. Maximum length of 47.  
Pattern: `subnet-[0-9a-f]{8,40}` 

 ** [vpcId](#API_S3Files_CreateMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_CreateMountTarget-response-vpcId"></a>
The ID of the VPC where the mount target is located.  
Type: String

## Errors
<a name="API_S3Files_CreateMountTarget_Errors"></a>

 ** ConflictException **   
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.    
 ** errorCode **   
The error code associated with the exception.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of the resource that caused the conflict.
HTTP Status Code: 409

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would exceed a service quota. Review your service quotas and either delete resources or request a quota increase.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 402

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_CreateMountTarget_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/CreateMountTarget) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/CreateMountTarget) 

# DeleteAccessPoint
<a name="API_S3Files_DeleteAccessPoint"></a>

Deletes an S3 File System Access Point. This operation is irreversible.

## Request Syntax
<a name="API_S3Files_DeleteAccessPoint_RequestSyntax"></a>

```
DELETE /access-points/accessPointId HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_DeleteAccessPoint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [accessPointId](#API_S3Files_DeleteAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_DeleteAccessPoint-request-uri-accessPointId"></a>
The ID or Amazon Resource Name (ARN) of the access point to delete.  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}|fsap-[0-9a-f]{17,40})`   
Required: Yes

## Request Body
<a name="API_S3Files_DeleteAccessPoint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_DeleteAccessPoint_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_S3Files_DeleteAccessPoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_S3Files_DeleteAccessPoint_Errors"></a>

 ** ConflictException **   
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.    
 ** errorCode **   
The error code associated with the exception.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of the resource that caused the conflict.
HTTP Status Code: 409

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_DeleteAccessPoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/DeleteAccessPoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/DeleteAccessPoint) 

# DeleteFileSystem
<a name="API_S3Files_DeleteFileSystem"></a>

Deletes an S3 File System. You can optionally force deletion of a file system that has pending export data.

## Request Syntax
<a name="API_S3Files_DeleteFileSystem_RequestSyntax"></a>

```
DELETE /file-systems/fileSystemId?forceDelete=forceDelete HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_DeleteFileSystem_RequestParameters"></a>

The request uses the following URI parameters.

 ** [fileSystemId](#API_S3Files_DeleteFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_DeleteFileSystem-request-uri-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System to delete.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

 ** [forceDelete](#API_S3Files_DeleteFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_DeleteFileSystem-request-uri-forceDelete"></a>
If true, allows deletion of a file system that contains data pending export to S3. If false (the default), the deletion will fail if there is data that has not yet been exported to the S3 bucket. Use this parameter with caution as it may result in data loss.

## Request Body
<a name="API_S3Files_DeleteFileSystem_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_DeleteFileSystem_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_S3Files_DeleteFileSystem_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_S3Files_DeleteFileSystem_Errors"></a>

 ** ConflictException **   
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.    
 ** errorCode **   
The error code associated with the exception.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of the resource that caused the conflict.
HTTP Status Code: 409

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_DeleteFileSystem_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/DeleteFileSystem) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/DeleteFileSystem) 

# DeleteFileSystemPolicy
<a name="API_S3Files_DeleteFileSystemPolicy"></a>

Deletes the IAM resource policy of an S3 File System.

## Request Syntax
<a name="API_S3Files_DeleteFileSystemPolicy_RequestSyntax"></a>

```
DELETE /file-systems/fileSystemId/policy HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_DeleteFileSystemPolicy_RequestParameters"></a>

The request uses the following URI parameters.

 ** [fileSystemId](#API_S3Files_DeleteFileSystemPolicy_RequestSyntax) **   <a name="AmazonS3-S3Files_DeleteFileSystemPolicy-request-uri-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System whose resource policy to delete.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

## Request Body
<a name="API_S3Files_DeleteFileSystemPolicy_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_DeleteFileSystemPolicy_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_S3Files_DeleteFileSystemPolicy_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_S3Files_DeleteFileSystemPolicy_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_DeleteFileSystemPolicy_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/DeleteFileSystemPolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/DeleteFileSystemPolicy) 

# DeleteMountTarget
<a name="API_S3Files_DeleteMountTarget"></a>

Deletes the specified mount target. This operation is irreversible.

## Request Syntax
<a name="API_S3Files_DeleteMountTarget_RequestSyntax"></a>

```
DELETE /mount-targets/mountTargetId HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_DeleteMountTarget_RequestParameters"></a>

The request uses the following URI parameters.

 ** [mountTargetId](#API_S3Files_DeleteMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_DeleteMountTarget-request-uri-mountTargetId"></a>
The ID of the mount target to delete.  
Length Constraints: Minimum length of 22. Maximum length of 45.  
Pattern: `fsmt-[0-9a-f]{17,40}`   
Required: Yes

## Request Body
<a name="API_S3Files_DeleteMountTarget_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_DeleteMountTarget_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_S3Files_DeleteMountTarget_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_S3Files_DeleteMountTarget_Errors"></a>

 ** ConflictException **   
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.    
 ** errorCode **   
The error code associated with the exception.  
 ** resourceId **   
The identifier of the resource that caused the conflict.  
 ** resourceType **   
The type of the resource that caused the conflict.
HTTP Status Code: 409

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_DeleteMountTarget_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/DeleteMountTarget) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/DeleteMountTarget) 

# GetAccessPoint
<a name="API_S3Files_GetAccessPoint"></a>

Returns resource information for an S3 File System Access Point.

## Request Syntax
<a name="API_S3Files_GetAccessPoint_RequestSyntax"></a>

```
GET /access-points/accessPointId HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_GetAccessPoint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [accessPointId](#API_S3Files_GetAccessPoint_RequestSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-request-uri-accessPointId"></a>
The ID or Amazon Resource Name (ARN) of the access point to retrieve information for.  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}|fsap-[0-9a-f]{17,40})`   
Required: Yes

## Request Body
<a name="API_S3Files_GetAccessPoint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_GetAccessPoint_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "accessPointArn": "string",
   "accessPointId": "string",
   "clientToken": "string",
   "fileSystemId": "string",
   "name": "string",
   "ownerId": "string",
   "posixUser": { 
      "gid": number,
      "secondaryGids": [ number ],
      "uid": number
   },
   "rootDirectory": { 
      "creationPermissions": { 
         "ownerGid": number,
         "ownerUid": number,
         "permissions": "string"
      },
      "path": "string"
   },
   "status": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_S3Files_GetAccessPoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [accessPointArn](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-accessPointArn"></a>
The ARN of the access point.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}` 

 ** [accessPointId](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-accessPointId"></a>
The ID of the access point.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}|fsap-[0-9a-f]{17,40})` 

 ** [clientToken](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-clientToken"></a>
The client token used for idempotency when the access point was created.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `(.+)` 

 ** [fileSystemId](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-fileSystemId"></a>
The ID of the S3 File System.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [name](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-name"></a>
The name of the access point.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `([\p{L}\p{Z}\p{N}_.:/=+\-@]*)` 

 ** [ownerId](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-ownerId"></a>
The AWS account ID of the access point owner.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 12.  
Pattern: `(\d{12})|(\d{4}-{4}-\d{4})` 

 ** [posixUser](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-posixUser"></a>
The POSIX identity configured for this access point.  
Type: [PosixUser](API_S3Files_PosixUser.md) object

 ** [rootDirectory](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-rootDirectory"></a>
The root directory configuration for this access point.  
Type: [RootDirectory](API_S3Files_RootDirectory.md) object

 ** [status](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-status"></a>
The current status of the access point.  
Type: String  
Valid Values: `available | creating | deleting | deleted | error | updating` 

 ** [tags](#API_S3Files_GetAccessPoint_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetAccessPoint-response-tags"></a>
The tags associated with the access point.  
Type: Array of [Tag](API_S3Files_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.

## Errors
<a name="API_S3Files_GetAccessPoint_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_GetAccessPoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/GetAccessPoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/GetAccessPoint) 

# GetFileSystem
<a name="API_S3Files_GetFileSystem"></a>

Returns resource information for the specified S3 File System including status, configuration, and metadata.

## Request Syntax
<a name="API_S3Files_GetFileSystem_RequestSyntax"></a>

```
GET /file-systems/fileSystemId HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_GetFileSystem_RequestParameters"></a>

The request uses the following URI parameters.

 ** [fileSystemId](#API_S3Files_GetFileSystem_RequestSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-request-uri-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System to retrieve information for.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

## Request Body
<a name="API_S3Files_GetFileSystem_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_GetFileSystem_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "bucket": "string",
   "clientToken": "string",
   "creationTime": number,
   "fileSystemArn": "string",
   "fileSystemId": "string",
   "kmsKeyId": "string",
   "name": "string",
   "ownerId": "string",
   "prefix": "string",
   "roleArn": "string",
   "status": "string",
   "statusMessage": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_S3Files_GetFileSystem_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [bucket](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-bucket"></a>
The Amazon Resource Name (ARN) of the S3 bucket.  
Type: String  
Pattern: `(arn:aws[a-zA-Z0-9-]*:s3:::.+)` 

 ** [clientToken](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-clientToken"></a>
The client token used for idempotency when the file system was created.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `(.+)` 

 ** [creationTime](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-creationTime"></a>
The time when the file system was created.  
Type: Timestamp

 ** [fileSystemArn](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-fileSystemArn"></a>
The Amazon Resource Name (ARN) of the file system.  
Type: String  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40})` 

 ** [fileSystemId](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-fileSystemId"></a>
The ID of the file system.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [kmsKeyId](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-kmsKeyId"></a>
The Amazon Resource Name (ARN) of the AWS KMS key used for encryption.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}|mrk-[0-9a-f]{32}|alias/[a-zA-Z0-9/_-]+|(arn:aws[-a-z]*:kms:[a-z0-9-]+:\d{12}:((key/[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})|(key/mrk-[0-9a-f]{32})|(alias/[a-zA-Z0-9/_-]+))))` 

 ** [name](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-name"></a>
The name of the file system.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `([\p{L}\p{Z}\p{N}_.:/=+\-@]*)` 

 ** [ownerId](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-ownerId"></a>
The AWS account ID of the file system owner.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 12.  
Pattern: `(\d{12})|(\d{4}-{4}-\d{4})` 

 ** [prefix](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-prefix"></a>
The prefix in the S3 bucket that the file system provides access to.  
Type: String

 ** [roleArn](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-roleArn"></a>
The Amazon Resource Name (ARN) of the IAM role used for S3 access.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `arn:(aws[a-zA-Z-]*)?:iam::\d{12}:role/?[a-zA-Z_0-9+=,.@\-_/]+` 

 ** [status](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-status"></a>
The current status of the file system.  
Type: String  
Valid Values: `available | creating | deleting | deleted | error | updating` 

 ** [statusMessage](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-statusMessage"></a>
Additional information about the file system status.  
Type: String

 ** [tags](#API_S3Files_GetFileSystem_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystem-response-tags"></a>
The tags associated with the file system.  
Type: Array of [Tag](API_S3Files_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.

## Errors
<a name="API_S3Files_GetFileSystem_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_GetFileSystem_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/GetFileSystem) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/GetFileSystem) 

# GetFileSystemPolicy
<a name="API_S3Files_GetFileSystemPolicy"></a>

Returns the IAM resource policy of an S3 File System.

## Request Syntax
<a name="API_S3Files_GetFileSystemPolicy_RequestSyntax"></a>

```
GET /file-systems/fileSystemId/policy HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_GetFileSystemPolicy_RequestParameters"></a>

The request uses the following URI parameters.

 ** [fileSystemId](#API_S3Files_GetFileSystemPolicy_RequestSyntax) **   <a name="AmazonS3-S3Files_GetFileSystemPolicy-request-uri-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System whose resource policy to retrieve.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

## Request Body
<a name="API_S3Files_GetFileSystemPolicy_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_GetFileSystemPolicy_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "fileSystemId": "string",
   "policy": "string"
}
```

## Response Elements
<a name="API_S3Files_GetFileSystemPolicy_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [fileSystemId](#API_S3Files_GetFileSystemPolicy_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystemPolicy-response-fileSystemId"></a>
The ID of the file system.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [policy](#API_S3Files_GetFileSystemPolicy_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetFileSystemPolicy-response-policy"></a>
The JSON-formatted resource policy for the file system.  
Type: String

## Errors
<a name="API_S3Files_GetFileSystemPolicy_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_GetFileSystemPolicy_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/GetFileSystemPolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/GetFileSystemPolicy) 

# GetMountTarget
<a name="API_S3Files_GetMountTarget"></a>

Returns detailed resource information for the specified mount target including network configuration.

## Request Syntax
<a name="API_S3Files_GetMountTarget_RequestSyntax"></a>

```
GET /mount-targets/mountTargetId HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_GetMountTarget_RequestParameters"></a>

The request uses the following URI parameters.

 ** [mountTargetId](#API_S3Files_GetMountTarget_RequestSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-request-uri-mountTargetId"></a>
The ID of the mount target to retrieve information for.  
Length Constraints: Minimum length of 22. Maximum length of 45.  
Pattern: `fsmt-[0-9a-f]{17,40}`   
Required: Yes

## Request Body
<a name="API_S3Files_GetMountTarget_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_GetMountTarget_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "availabilityZoneId": "string",
   "fileSystemId": "string",
   "ipv4Address": "string",
   "ipv6Address": "string",
   "mountTargetId": "string",
   "networkInterfaceId": "string",
   "ownerId": "string",
   "securityGroups": [ "string" ],
   "status": "string",
   "statusMessage": "string",
   "subnetId": "string",
   "vpcId": "string"
}
```

## Response Elements
<a name="API_S3Files_GetMountTarget_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [availabilityZoneId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-availabilityZoneId"></a>
The Availability Zone ID where the mount target is located.  
Type: String

 ** [fileSystemId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-fileSystemId"></a>
The ID of the file system.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [ipv4Address](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-ipv4Address"></a>
The IPv4 address of the mount target.  
Type: String  
Length Constraints: Minimum length of 7. Maximum length of 15.  
Pattern: `[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}` 

 ** [ipv6Address](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-ipv6Address"></a>
The IPv6 address of the mount target.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 39.

 ** [mountTargetId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-mountTargetId"></a>
The ID of the mount target.  
Type: String  
Length Constraints: Minimum length of 22. Maximum length of 45.  
Pattern: `fsmt-[0-9a-f]{17,40}` 

 ** [networkInterfaceId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-networkInterfaceId"></a>
The ID of the network interface associated with the mount target.  
Type: String

 ** [ownerId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-ownerId"></a>
The AWS account ID of the mount target owner.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 12.  
Pattern: `(\d{12})|(\d{4}-{4}-\d{4})` 

 ** [securityGroups](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-securityGroups"></a>
The security groups associated with the mount target.  
Type: Array of strings  
Array Members: Minimum number of 0 items. Maximum number of 100 items.  
Length Constraints: Minimum length of 11. Maximum length of 43.  
Pattern: `(sg-[0-9a-f]{8,40})` 

 ** [status](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-status"></a>
The current status of the mount target.  
Type: String  
Valid Values: `available | creating | deleting | deleted | error | updating` 

 ** [statusMessage](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-statusMessage"></a>
Additional information about the mount target status.  
Type: String

 ** [subnetId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-subnetId"></a>
The ID of the subnet where the mount target is located.  
Type: String  
Length Constraints: Minimum length of 15. Maximum length of 47.  
Pattern: `subnet-[0-9a-f]{8,40}` 

 ** [vpcId](#API_S3Files_GetMountTarget_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetMountTarget-response-vpcId"></a>
The ID of the VPC where the mount target is located.  
Type: String

## Errors
<a name="API_S3Files_GetMountTarget_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_GetMountTarget_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/GetMountTarget) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/GetMountTarget) 

# GetSynchronizationConfiguration
<a name="API_S3Files_GetSynchronizationConfiguration"></a>

Returns the synchronization configuration for the specified S3 File System, including import data rules and expiration data rules.

## Request Syntax
<a name="API_S3Files_GetSynchronizationConfiguration_RequestSyntax"></a>

```
GET /file-systems/fileSystemId/synchronization-configuration HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_GetSynchronizationConfiguration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [fileSystemId](#API_S3Files_GetSynchronizationConfiguration_RequestSyntax) **   <a name="AmazonS3-S3Files_GetSynchronizationConfiguration-request-uri-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System to retrieve the synchronization configuration for.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

## Request Body
<a name="API_S3Files_GetSynchronizationConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_GetSynchronizationConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "expirationDataRules": [ 
      { 
         "daysAfterLastAccess": number
      }
   ],
   "importDataRules": [ 
      { 
         "prefix": "string",
         "sizeLessThan": number,
         "trigger": "string"
      }
   ],
   "latestVersionNumber": number
}
```

## Response Elements
<a name="API_S3Files_GetSynchronizationConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [expirationDataRules](#API_S3Files_GetSynchronizationConfiguration_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetSynchronizationConfiguration-response-expirationDataRules"></a>
An array of expiration data rules that control when cached data expires from the file system.  
Type: Array of [ExpirationDataRule](API_S3Files_ExpirationDataRule.md) objects  
Array Members: Fixed number of 1 item.

 ** [importDataRules](#API_S3Files_GetSynchronizationConfiguration_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetSynchronizationConfiguration-response-importDataRules"></a>
An array of import data rules that control how data is imported from S3 into the file system.  
Type: Array of [ImportDataRule](API_S3Files_ImportDataRule.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 10 items.

 ** [latestVersionNumber](#API_S3Files_GetSynchronizationConfiguration_ResponseSyntax) **   <a name="AmazonS3-S3Files_GetSynchronizationConfiguration-response-latestVersionNumber"></a>
The version number of the synchronization configuration. Use this value with `PutSynchronizationConfiguration` to ensure optimistic concurrency control.  
Type: Integer

## Errors
<a name="API_S3Files_GetSynchronizationConfiguration_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_GetSynchronizationConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/GetSynchronizationConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/GetSynchronizationConfiguration) 

# ListAccessPoints
<a name="API_S3Files_ListAccessPoints"></a>

Returns resource information for all S3 File System Access Points associated with the specified S3 File System.

## Request Syntax
<a name="API_S3Files_ListAccessPoints_RequestSyntax"></a>

```
GET /access-points?fileSystemId=fileSystemId&maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_ListAccessPoints_RequestParameters"></a>

The request uses the following URI parameters.

 ** [fileSystemId](#API_S3Files_ListAccessPoints_RequestSyntax) **   <a name="AmazonS3-S3Files_ListAccessPoints-request-uri-fileSystemId"></a>
The ID or Amazon Resource Name (ARN) of the S3 File System to list access points for.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})`   
Required: Yes

 ** [maxResults](#API_S3Files_ListAccessPoints_RequestSyntax) **   <a name="AmazonS3-S3Files_ListAccessPoints-request-uri-maxResults"></a>
The maximum number of access points to return in a single response.  
Valid Range: Minimum value of 1. Maximum value of 1000.

 ** [nextToken](#API_S3Files_ListAccessPoints_RequestSyntax) **   <a name="AmazonS3-S3Files_ListAccessPoints-request-uri-nextToken"></a>
A pagination token returned from a previous call to continue listing access points.

## Request Body
<a name="API_S3Files_ListAccessPoints_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_ListAccessPoints_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "accessPoints": [ 
      { 
         "accessPointArn": "string",
         "accessPointId": "string",
         "fileSystemId": "string",
         "name": "string",
         "ownerId": "string",
         "posixUser": { 
            "gid": number,
            "secondaryGids": [ number ],
            "uid": number
         },
         "rootDirectory": { 
            "creationPermissions": { 
               "ownerGid": number,
               "ownerUid": number,
               "permissions": "string"
            },
            "path": "string"
         },
         "status": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_S3Files_ListAccessPoints_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [accessPoints](#API_S3Files_ListAccessPoints_ResponseSyntax) **   <a name="AmazonS3-S3Files_ListAccessPoints-response-accessPoints"></a>
An array of access point descriptions.  
Type: Array of [ListAccessPointsDescription](API_S3Files_ListAccessPointsDescription.md) objects

 ** [nextToken](#API_S3Files_ListAccessPoints_ResponseSyntax) **   <a name="AmazonS3-S3Files_ListAccessPoints-response-nextToken"></a>
A pagination token to use in a subsequent request if more results are available.  
Type: String

## Errors
<a name="API_S3Files_ListAccessPoints_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_ListAccessPoints_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/ListAccessPoints) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/ListAccessPoints) 

# ListFileSystems
<a name="API_S3Files_ListFileSystems"></a>

Returns a list of all S3 File Systems owned by the account with optional filtering by bucket.

## Request Syntax
<a name="API_S3Files_ListFileSystems_RequestSyntax"></a>

```
GET /file-systems?bucket=bucket&maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_ListFileSystems_RequestParameters"></a>

The request uses the following URI parameters.

 ** [bucket](#API_S3Files_ListFileSystems_RequestSyntax) **   <a name="AmazonS3-S3Files_ListFileSystems-request-uri-bucket"></a>
Optional filter to list only file systems associated with the specified S3 bucket Amazon Resource Name (ARN). If provided, only file systems that provide access to this bucket will be returned in the response.  
Pattern: `(arn:aws[a-zA-Z0-9-]*:s3:::.+)` 

 ** [maxResults](#API_S3Files_ListFileSystems_RequestSyntax) **   <a name="AmazonS3-S3Files_ListFileSystems-request-uri-maxResults"></a>
The maximum number of file systems to return in a single response. If not specified, up to 100 file systems are returned.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_S3Files_ListFileSystems_RequestSyntax) **   <a name="AmazonS3-S3Files_ListFileSystems-request-uri-nextToken"></a>
A pagination token returned from a previous call to continue listing file systems.

## Request Body
<a name="API_S3Files_ListFileSystems_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_ListFileSystems_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "fileSystems": [ 
      { 
         "bucket": "string",
         "creationTime": number,
         "fileSystemArn": "string",
         "fileSystemId": "string",
         "name": "string",
         "ownerId": "string",
         "roleArn": "string",
         "status": "string",
         "statusMessage": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_S3Files_ListFileSystems_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [fileSystems](#API_S3Files_ListFileSystems_ResponseSyntax) **   <a name="AmazonS3-S3Files_ListFileSystems-response-fileSystems"></a>
An array of file system descriptions.  
Type: Array of [ListFileSystemsDescription](API_S3Files_ListFileSystemsDescription.md) objects

 ** [nextToken](#API_S3Files_ListFileSystems_ResponseSyntax) **   <a name="AmazonS3-S3Files_ListFileSystems-response-nextToken"></a>
A pagination token to use in a subsequent request if more results are available.  
Type: String

## Errors
<a name="API_S3Files_ListFileSystems_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_ListFileSystems_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3files-2025-05-05/ListFileSystems) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3files-2025-05-05/ListFileSystems) 

# ListMountTargets
<a name="API_S3Files_ListMountTargets"></a>

Returns resource information for all mount targets with optional filtering by file system, access point, and VPC.

## Request Syntax
<a name="API_S3Files_ListMountTargets_RequestSyntax"></a>

```
GET /mount-targets?accessPointId=accessPointId&fileSystemId=fileSystemId&maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_S3Files_ListMountTargets_RequestParameters"></a>

The request uses the following URI parameters.

 ** [accessPointId](#API_S3Files_ListMountTargets_RequestSyntax) **   <a name="AmazonS3-S3Files_ListMountTargets-request-uri-accessPointId"></a>
Optional filter to list only mount targets associated with the specified access point ID or Amazon Resource Name (ARN).  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}/access-point/fsap-[0-9a-f]{17,40}|fsap-[0-9a-f]{17,40})` 

 ** [fileSystemId](#API_S3Files_ListMountTargets_RequestSyntax) **   <a name="AmazonS3-S3Files_ListMountTargets-request-uri-fileSystemId"></a>
Optional filter to list only mount targets associated with the specified S3 File System ID or Amazon Resource Name (ARN). If provided, only mount targets for this file system will be returned in the response.  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})` 

 ** [maxResults](#API_S3Files_ListMountTargets_RequestSyntax) **   <a name="AmazonS3-S3Files_ListMountTargets-request-uri-maxResults"></a>
The maximum number of mount targets to return in a single response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_S3Files_ListMountTargets_RequestSyntax) **   <a name="AmazonS3-S3Files_ListMountTargets-request-uri-nextToken"></a>
A pagination token returned from a previous call to continue listing mount targets.

## Request Body
<a name="API_S3Files_ListMountTargets_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_S3Files_ListMountTargets_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "mountTargets": [ 
      { 
         "availabilityZoneId": "string",
         "fileSystemId": "string",
         "ipv4Address": "string",
         "ipv6Address": "string",
         "mountTargetId": "string",
         "networkInterfaceId": "string",
         "ownerId": "string",
         "status": "string",
         "statusMessage": "string",
         "subnetId": "string",
         "vpcId": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_S3Files_ListMountTargets_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [mountTargets](#API_S3Files_ListMountTargets_ResponseSyntax) **   <a name="AmazonS3-S3Files_ListMountTargets-response-mountTargets"></a>
An array of mount target descriptions.  
Type: Array of [ListMountTargetsDescription](API_S3Files_ListMountTargetsDescription.md) objects

 ** [nextToken](#API_S3Files_ListMountTargets_ResponseSyntax) **   <a name="AmazonS3-S3Files_ListMountTargets-response-nextToken"></a>
A pagination token to use in a subsequent request if more results are available.  
Type: String

## Errors
<a name="API_S3Files_ListMountTargets_Errors"></a>

 ** InternalServerException **   
An internal server error occurred. Retry your request.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource exists and that you have permission to access it.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled. Retry your request using exponential backoff.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are not valid. Check the parameter values and try again.    
 ** errorCode **   
The error code associated with the exception.
HTTP Status Code: 400

## See Also
<a name="API_S3Files_ListMountTargets_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3files-2025-05-05/ListMountTargets) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3files-2025-05-05/ListMountTargets) 
[...]
